Run of lintian-fixes for libsys-meminfo-perl

Try this locally (using the lintian-brush package):

debcheckout libsys-meminfo-perl
cd libsys-meminfo-perl
lintian-brush

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 7ef13ca..79bfe56 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,10 @@ libsys-meminfo-perl (0.99-2) UNRELEASED; urgency=medium
   * debian/control: update Build-Depends for cross builds.
   * debian/watch: use uscan version 4.
 
+  [ Debian Janitor ]
+  * Bump debhelper from old 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
  -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Feb 2018 15:13:59 +0100
 
 libsys-meminfo-perl (0.99-1) unstable; urgency=medium
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index 73d6e91..bfa11e6 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Uploaders: Willi Mann <willi@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9.20120312~),
+Build-Depends: debhelper-compat (= 12),
                perl-xs-dev,
                perl:native
 Standards-Version: 3.9.8

Publish History

  • 2020-04-03T03:42: Successfully pushed (Success)

Full worker log Full build log